<?php
/**
 * Colors Customizer
 */

/**
 * Register the customizer.
 */
function highstake_colors_customize_register( $wp_customize ) {

	// Register predefined colors setting
	$wp_customize->add_setting( 'highstake_predefined_colors', array(
		'default'           => 'default',
		'sanitize_callback' => 'highstake_sanitize_select',
	) );
	$wp_customize->add_control( 'highstake_predefined_colors', array(
		'label'             => esc_html__( 'Predefined Colors', 'highstake' ),
		'section'           => 'colors',
		'priority'          => 1,
		'type'              => 'radio',
		'choices'           => array(
			'default' => esc_html__( 'Default', 'highstake' ),
			'pink'    => esc_html__( 'Pink', 'highstake' ),
			'purple'  => esc_html__( 'Purple', 'highstake' ),
			'green'   => esc_html__( 'Green', 'highstake' ),
			'blue'    => esc_html__( 'Blue', 'highstake' )
		)
	) );

	// Register accent color setting
	$wp_customize->add_setting( 'highstake_accent_color', array(
		'default'           => '#54e5b0',
		'sanitize_callback' => 'highstake_sanitize_hex_color'
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'highstake_accent_color', array(
		'label'             => esc_html__( 'Accent Color', 'highstake' ),
		'description'       => esc_html__( 'If you think the predefined colors is not good enough, you can use this pallete color to choose what ever color you want', 'highstake' ),
		'section'           => 'colors',
		'priority'          => 3
	) ) );

}
add_action( 'customize_register', 'highstake_colors_customize_register' );
