<?php
/**
 * General Customizer
 */

/**
 * Register the customizer.
 */
function highstake_general_customize_register( $wp_customize ) {

	// Register new section: General
	$wp_customize->add_section( 'highstake_general' , array(
		'title'    => esc_html__( 'General', 'highstake' ),
		'panel'    => 'highstake_options',
		'priority' => 1
	) );

	// Register container setting
	$wp_customize->add_setting( 'highstake_container_style', array(
		'default'           => 'fullwidth',
		'sanitize_callback' => 'highstake_sanitize_select',
	) );
	$wp_customize->add_control( 'highstake_container_style', array(
		'label'             => esc_html__( 'Container', 'highstake' ),
		'section'           => 'highstake_general',
		'priority'          => 1,
		'type'              => 'radio',
		'choices'           => array(
			'fullwidth' => esc_html__( 'Full Width', 'highstake' ),
			'boxed'     => esc_html__( 'Boxed', 'highstake' ),
			'framed'    => esc_html__( 'Framed', 'highstake' )
		)
	) );

	// Register pagination setting
	$wp_customize->add_setting( 'highstake_posts_pagination', array(
		'default'           => 'number',
		'sanitize_callback' => 'highstake_sanitize_select',
	) );
	$wp_customize->add_control( 'highstake_posts_pagination', array(
		'label'             => esc_html__( 'Pagination type', 'highstake' ),
		'section'           => 'highstake_general',
		'priority'          => 3,
		'type'              => 'radio',
		'choices'           => array(
			'number'      => esc_html__( 'Number', 'highstake' ),
			'traditional' => esc_html__( 'Older / Newer', 'highstake' ),
			'load_more'   => esc_html__( 'Load More', 'highstake' ),
		)
	) );

	// Register sticky sidebar setting
	$wp_customize->add_setting( 'highstake_sticky_sidebar', array(
		'default'           => 1,
		'sanitize_callback' => 'highstake_sanitize_checkbox',
	) );
	$wp_customize->add_control( 'highstake_sticky_sidebar', array(
		'label'             => esc_html__( 'Enable sticky sidebar', 'highstake' ),
		'section'           => 'highstake_general',
		'priority'          => 5,
		'type'              => 'checkbox'
	) );

	// Register signature upload setting
	$wp_customize->add_setting( 'highstake_signature_image', array(
		'default'           => '',
		'sanitize_callback' => 'highstake_sanitize_number_absint',
	) );
	$wp_customize->add_control( new WP_Customize_Media_Control( $wp_customize, 'highstake_signature_image', array(
		'label'             => esc_html__( 'Signature', 'highstake' ),
		'description'       => esc_html__( 'The signature will appear at the bottom of each post.', 'highstake' ),
		'section'           => 'highstake_general',
		'priority'          => 7,
		'mime_type'         => 'image',
	) ) );

	// Register instagram shortcode setting
	$wp_customize->add_setting( 'highstake_instagram_shortcode', array(
		'default'           => '',
		'sanitize_callback' => 'highstake_sanitize_html',
	) );
	$wp_customize->add_control( 'highstake_instagram_shortcode', array(
		'label'             => esc_html__( 'Instagram Shortcode', 'highstake' ),
		'description'       => esc_html__( 'Place the Instagram shortcode you get from the Instagram Feed plugin.', 'highstake' ),
		'section'           => 'highstake_general',
		'priority'          => 9,
		'type'              => 'text'
	) );

}
add_action( 'customize_register', 'highstake_general_customize_register' );
