<?php
/**
 * Header Customizer
 */

/**
 * Register the customizer.
 */
function highstake_header_customize_register( $wp_customize ) {

	// Register new section: Header
	$wp_customize->add_section( 'highstake_header' , array(
		'title'    => esc_html__( 'Header', 'highstake' ),
		'panel'    => 'highstake_options',
		'priority' => 3
	) );

	// Register sticky header setting
	$wp_customize->add_setting( 'highstake_sticky_header', array(
		'default'           => 1,
		'sanitize_callback' => 'highstake_sanitize_checkbox',
	) );
	$wp_customize->add_control( 'highstake_sticky_header', array(
		'label'             => esc_html__( 'Enable sticky header', 'highstake' ),
		'section'           => 'highstake_header',
		'priority'          => 1,
		'type'              => 'checkbox'
	) );

	// Register search button setting
	$wp_customize->add_setting( 'highstake_search_button', array(
		'default'           => 1,
		'sanitize_callback' => 'highstake_sanitize_checkbox',
	) );
	$wp_customize->add_control( 'highstake_search_button', array(
		'label'             => esc_html__( 'Enable search button', 'highstake' ),
		'section'           => 'highstake_header',
		'priority'          => 1,
		'type'              => 'checkbox'
	) );

}
add_action( 'customize_register', 'highstake_header_customize_register' );
