<?php
/**
 * Page Customizer
 */

/**
 * Register the customizer.
 */
function highstake_page_customize_register( $wp_customize ) {

	// Register new section: Page
	$wp_customize->add_section( 'highstake_page' , array(
		'title'    => esc_html__( 'Pages', 'highstake' ),
		'panel'    => 'highstake_options',
		'priority' => 7
	) );

	// Register page layouts setting
	$wp_customize->add_setting( 'highstake_page_layouts', array(
		'default'           => '2c-l',
		'sanitize_callback' => 'highstake_sanitize_select',
	) );
	$wp_customize->add_control( 'highstake_page_layouts', array(
		'label'             => esc_html__( 'Post Layout', 'highstake' ),
		'description'       => esc_html__( 'This setting will change all pages layout.', 'highstake' ),
		'section'           => 'highstake_page',
		'priority'          => 1,
		'type'              => 'radio',
		'choices'           => array(
			'1c'   => esc_html__( '1 Column Wide (Full Width)', 'highstake' ),
			'1c-n' => esc_html__( '1 Column Narrow (Full Width)', 'highstake' ),
			'2c-l' => esc_html__( '2 Columns: Content / Sidebar', 'highstake' ),
			'2c-r' => esc_html__( '2 Columns: Sidebar / Content', 'highstake' )
		),
	) );

	// Register Page comment manager setting
	$wp_customize->add_setting( 'highstake_page_comment', array(
		'default'           => 1,
		'sanitize_callback' => 'highstake_sanitize_checkbox',
	) );
	$wp_customize->add_control( 'highstake_page_comment', array(
		'label'             => esc_html__( 'Enable comment on Pages', 'highstake' ),
		'section'           => 'highstake_page',
		'priority'          => 1,
		'type'              => 'checkbox'
	) );

	// Register Page title setting
	$wp_customize->add_setting( 'highstake_page_title', array(
		'default'           => 1,
		'sanitize_callback' => 'highstake_sanitize_checkbox',
	) );
	$wp_customize->add_control( 'highstake_page_title', array(
		'label'             => esc_html__( 'Show page title', 'highstake' ),
		'section'           => 'highstake_page',
		'priority'          => 3,
		'type'              => 'checkbox'
	) );

}
add_action( 'customize_register', 'highstake_page_customize_register' );
